Skip to main content
POST
/
v3
/
transactions
/
{transaction_id}
/
travel-rule
/
ownership
/
curl
curl -X POST https://verification.didit.me/v3/transactions/{transaction_id}/travel-rule/ownership/ \
  -H 'x-api-key: YOUR_API_KEY' -H 'Content-Type: application/json' \
  -d '{"confirmed": true}'
import requests

url = "https://verification.didit.me/v3/transactions/{transaction_id}/travel-rule/ownership/"

payload = { "confirmed": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirmed: true})
};

fetch('https://verification.didit.me/v3/transactions/{transaction_id}/travel-rule/ownership/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "protocol": "<string>",
  "ivms_version": "ivms101.2023",
  "required": true,
  "ownership_confirmed": true,
  "deadline_at": "2023-11-07T05:31:56Z",
  "timeline": [
    {
      "status": "<string>",
      "at": "2023-11-07T05:31:56Z",
      "detail": "<string>"
    }
  ],
  "counterparty_vasp": {
    "name": "<string>",
    "lei": "<string>",
    "dd_score": 123
  },
  "originator_data": {},
  "beneficiary_data": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

x-api-key
string
header
required

Path Parameters

transaction_id
string<uuid>
required

Didit-stable transaction UUID that owns the transfer (the beneficiary side's transaction).

Body

application/json
confirmed
boolean
required

Response

The updated transfer. originator_data/beneficiary_data are omitted until ownership_confirmed is true on an inbound transfer.

Full transfer object returned by the ownership-confirmation and finish/cancel endpoints. originator_data/beneficiary_data are omitted while PII is masked (see description).

uuid
string<uuid>
status
enum<string>
Available options:
AWAITING_COUNTERPARTY,
ON_HOLD,
COMPLETED,
FINISHED,
CANCELLED,
EXPIRED,
COUNTERPARTY_MISMATCHED_DATA,
COUNTERPARTY_VASP_NOT_FOUND,
COUNTERPARTY_VASP_NOT_REACHABLE,
UNCONFIRMED_OWNERSHIP,
COUNTERPARTY_VASP_GENERAL_DECLINE,
NOT_ENOUGH_COUNTERPARTY_DATA,
NOT_APPLICABLE
direction
enum<string>
Available options:
INBOUND,
OUTBOUND
rail
enum<string> | null
Available options:
INTERNAL,
TRP,
GTR,
EMAIL,
null
protocol
string | null
ivms_version
string
Example:

"ivms101.2023"

required
boolean
ownership_confirmed
boolean | null
deadline_at
string<date-time> | null
timeline
object[]
counterparty_vasp
object | null
originator_data
object
beneficiary_data
object
created_at
string<date-time>